Subject: Re: Licensing
From: "Erik B" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 03 Dec 2001 15:29:43 +0100

Hi Corinna

Thanks for the answer

My application is a pure windows application,
which accesses postgreSQL using JDBC.
It does not use the cygwin.dll.

PostgreSQL itself uses the cygwin.dll.

Can I still use cygwin without violating the GPL?

Thanks

>From: Corinna Vinschen <[email-masked]>
>To: Erik B <[email-masked]>
>CC: [email-masked]
>Subject: Re: Licensing
>Date: Mon, 3 Dec 2001 15:07:03 +0100
>
>On Mon, Dec 03, 2001 at 02:28:54PM +0100, Erik B wrote:
> >
> > Hi
> >
> > I have read all the documentation on cygwin.com concerning
> > licensing and I have not found a clear answer to my question:
> >
> > I want to install a win 2000 server at a customer.
> > I want to run PostgreSQL on the server.
> > My application accesses PostgreSQL using JDBC.
> > I cannot put my application under GPL.
> >
> > Can i use cygwin for this without violating the GPL?
>
>As long as your application is _not_ linked against the Cygwin DLL
>or against any other library which itself is GPL'd, you're fine.
>
>If your application is created using Cygwin you would violate
>the GPL if your application is going to be distributed without
>being under an Open Source license.
>
>If you want to know whether your application is using the Cygwin
>DLL, just use `cygcheck' which will show you all DLLs the application
>is linked against, e.g.
>
>$ cd /bin
>$ cygcheck ls.exe
>Found: .\ls.exe
>Found: C:\cygwin\bin\ls.exe
>.\ls.exe
>   .\cygwin1.dll
>     E:\WINXP\System32\KERNEL32.dll
>       E:\WINXP\System32\ntdll.dll
>
>Corinna
>
>--
>Corinna Vinschen                  Please, send mails regarding Cygwin to
>Cygwin Developer                                mailto:[email-masked]
>Red Hat, Inc.

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/